Create IntegrationConfig - m3ter Documentation

Create IntegrationConfig

cURL

curl --request POST \
  --url https://api.m3ter.com/organizations/{orgId}/integrationconfigs \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "entityType": "Bill",
  "destination": "Stripe",
  "version": 123,
  "entityId": "00000000-0000-0000-0000-000000000000",
  "destinationId": "00000000-0000-0000-0000-000000000000",
  "configData": {},
  "integrationCredentialsId": "00000000-0000-0000-0000-000000000000",
  "name": "My Integration"
}
'

Python

import requests

url = "https://api.m3ter.com/organizations/{orgId}/integrationconfigs"

payload = {
    "entityType": "Bill",
    "destination": "Stripe",
    "version": 123,
    "entityId": "00000000-0000-0000-0000-000000000000",
    "destinationId": "00000000-0000-0000-0000-000000000000",
    "configData": {},
    "integrationCredentialsId": "00000000-0000-0000-0000-000000000000",
    "name": "My Integration"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    entityType: 'Bill',
    destination: 'Stripe',
    version: 123,
    entityId: '00000000-0000-0000-0000-000000000000',
    destinationId: '00000000-0000-0000-0000-000000000000',
    configData: {},
    integrationCredentialsId: '00000000-0000-0000-0000-000000000000',
    name: 'My Integration'
  })
};

fetch('https://api.m3ter.com/organizations/{orgId}/integrationconfigs', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.m3ter.com/organizations/{orgId}/integrationconfigs",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'entityType' => 'Bill',
    'destination' => 'Stripe',
    'version' => 123,
    'entityId' => '00000000-0000-0000-0000-000000000000',
    'destinationId' => '00000000-0000-0000-0000-000000000000',
    'configData' => [],
    'integrationCredentialsId' => '00000000-0000-0000-0000-000000000000',
    'name' => 'My Integration'
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>

Go

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://api.m3ter.com/organizations/{orgId}/integrationconfigs"

payload := strings.NewReader("{\n  \"entityType\": \"Bill\",\n  \"destination\": \"Stripe\",\n  \"version\": 123,\n  \"entityId\": \"00000000-0000-0000-0000-000000000000\",\n  \"destinationId\": \"00000000-0000-0000-0000-000000000000\",\n  \"configData\": {},\n  \"integrationCredentialsId\": \"00000000-0000-0000-0000-000000000000\",\n  \"name\": \"My Integration\"\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}

Unirest (Java)

HttpResponse<String> response = Unirest.post("https://api.m3ter.com/organizations/{orgId}/integrationconfigs")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"entityType\": \"Bill\",\n  \"destination\": \"Stripe\",\n  \"version\": 123,\n  \"entityId\": \"00000000-0000-0000-0000-000000000000\",\n  \"destinationId\": \"00000000-0000-0000-0000-000000000000\",\n  \"configData\": {},\n  \"integrationCredentialsId\": \"00000000-0000-0000-0000-000000000000\",\n  \"name\": \"My Integration\"\n}")
  .asString();

Response Formats

Success (200)

{
  "id": "<string>",
  "entityType": "Bill",
  "destination": "Stripe",
  "version": 123,
  "dtCreated": "2023-11-07T05:31:56Z",
  "dtLastModified": "2023-11-07T05:31:56Z",
  "createdBy": "<string>",
  "lastModifiedBy": "<string>",
  "entityId": "00000000-0000-0000-0000-000000000000",
  "destinationId": "00000000-0000-0000-0000-000000000000",
  "configData": {},
  "authorized": true,
  "enabled": true,
  "integrationCredentialsId": "00000000-0000-0000-0000-000000000000",
  "name": "My Integration"
}

Client Error (4XX) & Server Error (5XX)

{
  "message": "<string>"
}